Update calendar event
curl --request PATCH \
--url https://app.yampi.ai/api/v1/accounts/{account_id}/calendar/events/{id} \
--header 'Content-Type: application/json' \
--header 'api_access_token: <api-key>' \
--data '
{
"conversation_display_id": 123
}
'const options = {
method: 'PATCH',
headers: {api_access_token: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({conversation_display_id: 123})
};
fetch('https://app.yampi.ai/api/v1/accounts/{account_id}/calendar/events/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.yampi.ai/api/v1/accounts/{account_id}/calendar/events/{id}"
payload = { "conversation_display_id": 123 }
headers = {
"api_access_token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"id": 123,
"title": "<string>",
"start_time": "2023-11-07T05:31:56Z",
"end_time": "2023-11-07T05:31:56Z",
"status": "<string>",
"conversation_id": 123,
"conversation_display_id": 123
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{}{}Calendar Events
Update calendar event
Update a calendar event.
PATCH
/
api
/
v1
/
accounts
/
{account_id}
/
calendar
/
events
/
{id}
Update calendar event
curl --request PATCH \
--url https://app.yampi.ai/api/v1/accounts/{account_id}/calendar/events/{id} \
--header 'Content-Type: application/json' \
--header 'api_access_token: <api-key>' \
--data '
{
"conversation_display_id": 123
}
'const options = {
method: 'PATCH',
headers: {api_access_token: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({conversation_display_id: 123})
};
fetch('https://app.yampi.ai/api/v1/accounts/{account_id}/calendar/events/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.yampi.ai/api/v1/accounts/{account_id}/calendar/events/{id}"
payload = { "conversation_display_id": 123 }
headers = {
"api_access_token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"id": 123,
"title": "<string>",
"start_time": "2023-11-07T05:31:56Z",
"end_time": "2023-11-07T05:31:56Z",
"status": "<string>",
"conversation_id": 123,
"conversation_display_id": 123
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{}{}Authorizations
Path Parameters
ID of the event
The numeric ID of the account
Body
application/json
Display id de la conversación; se resuelve en la cuenta.
Was this page helpful?